Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2008-05-06 06:16:16 +0400
committerJunio C Hamano <gitster@pobox.com>2008-05-06 06:16:16 +0400
commite2e2defc14a79ea5b4aaae23e33072f29c5965eb (patch)
tree6a86523e0105c66bef7e7ee8610773d185b7cad3 /git-submodule.sh
parent9c36e1700f99811ea9190279ea197424dcbb0303 (diff)
parentc48799e560c826905e87c8a8a71effeb0ca5e897 (diff)
Merge branch 'lh/git-file'
* lh/git-file: Teach GIT-VERSION-GEN about the .git file Teach git-submodule.sh about the .git file Teach resolve_gitlink_ref() about the .git file Add platform-independent .git "symlink"
Diffstat (limited to 'git-submodule.sh')
-rwxr-xr-xgit-submodule.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/git-submodule.sh b/git-submodule.sh
index ce0f00c8a4..67f7a28cb3 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -300,7 +300,7 @@ cmd_update()
continue
fi
- if ! test -d "$path"/.git
+ if ! test -d "$path"/.git -o -f "$path"/.git
then
module_clone "$path" "$url" || exit
subsha1=
@@ -555,7 +555,7 @@ cmd_status()
do
name=$(module_name "$path") || exit
url=$(git config submodule."$name".url)
- if test -z "$url" || ! test -d "$path"/.git
+ if test -z "$url" || ! test -d "$path"/.git -o -f "$path"/.git
then
say "-$sha1 $path"
continue;